package com.pcloud.book.copyright.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author lily
 * @date 2018/12/4 16:51
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel
public class BarCodeDTO implements Serializable {

    @ApiModelProperty("条形码值")
    private String code;

    @ApiModelProperty("条形码url")
    private String barCodeUrl;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getBarCodeUrl() {
        return barCodeUrl;
    }

    public void setBarCodeUrl(String barCodeUrl) {
        this.barCodeUrl = barCodeUrl;
    }

    @Override
    public String toString() {
        return "BarCodeDTO{" +
                "code='" + code + '\'' +
                ", barCodeUrl='" + barCodeUrl + '\'' +
                '}';
    }
}
